Bug 868504 - Evolution never asks for password
Evolution never asks for password
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-20 06:53 EDT by Willempie
Modified: 2012-10-24 07:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-24 07:09:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Willempie 2012-10-20 06:53:22 EDT
I can add a google imap account and everything works fine. When i add a second imap account (xs4all.nl) evolution never asks for a password. There is no error message whatsoever, it is just trying to retrieve email.


Evolution 3.4.4
Fedora release 17 (Beefy Miracle) Fresh install
Version-Release number of selected component (if applicable):
Comment 1 Milan Crha 2012-10-22 06:20:48 EDT
Thanks for a bug report. Could you install debuginfo packages for evolution-data-server and evolution, and get a backtrace of running evolution in the state of trying to retrieve a message, instead of asking the password, please? I cannot think why it should do this, especially if you've set username for the account's receiving part. You may also try to run evolution from console and check messages there, if any, to see whether the actual error wasn't printed there.

I suppose you use IMAP+ for both IMAP accounts, thus using debugging:
   $ CAMEL_DEBUG=imapx evolution &>log.txt
will show in log.txt file what the evolution tries to do with the server and what the server replies.

With respect of the backtrace, you can get it with command like this:
   $ gdb --batch --ex "t a a bt" -pid=PID &>bt.txt
where PID is a process ID of running evolution (ps ax | grep evolution). Only make sure the bt.txt file will not contain any private information, like passwords or user/server names (I usually search for "pass" (quotes for clarity only) in it).
Comment 2 Willempie 2012-10-22 12:43:13 EDT
The output of CAMEL_DEBUG

** (evolution:4002): CRITICAL **: categories_icon_theme_hack: assertion `filenam
e != NULL && *filename != '\0'' failed

(evolution:4002): e-utils-CRITICAL **: ec_assistant_forward: assertion `link != 
NULL' failed

(evolution:4002): e-utils-CRITICAL **: ec_assistant_forward: assertion `link != 
NULL' failed

(evolution:4002): e-utils-CRITICAL **: ec_assistant_forward: assertion `link != 
NULL' failed

(evolution:4002): e-utils-CRITICAL **: ec_assistant_forward: assertion `link != 
NULL' failed

** (evolution:4002): WARNING **: Kon niet verbinden met imaps.xs4all.nl:I/O oper
ation timed out

untill I kill it by -s 9

The backtrace

[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
[New Thread 0x7fb65a78e700 (LWP 23736)]
[New Thread 0x7fb6437fe700 (LWP 23728)]
[New Thread 0x7fb643fff700 (LWP 23726)]
[New Thread 0x7fb659b83700 (LWP 23722)]
[New Thread 0x7fb664a7f700 (LWP 23717)]
[New Thread 0x7fb66f7fe700 (LWP 23716)]
[New Thread 0x7fb66ffff700 (LWP 23715)]
[New Thread 0x7fb674d6d700 (LWP 23714)]
0x0000003be26e8bcf in poll () from /lib64/libc.so.6

Thread 9 (Thread 0x7fb674d6d700 (LWP 23714)):
#0  0x0000003be26e8bcf in poll () from /lib64/libc.so.6
#1  0x0000003be3e47af4 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003be3e47c14 in g_main_context_iteration () from /lib64/libglib-2.0.so
.0
#3  0x0000003be3e47c61 in ?? () from /lib64/libglib-2.0.so.0
#4  0x0000003be3e6a495 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003be2a07d14 in start_thread () from /lib64/libpthread.so.0
#6  0x0000003be26f167d in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7fb66ffff700 (LWP 23715)):
#0  0x0000003be26e8bcf in poll () from /lib64/libc.so.6
#1  0x0000003be3e47af4 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003be3e47f52 in g_main_loop_run () from /lib64/libglib-2.0.so.0
#3  0x00007fb67433fb0b in ?? () from /usr/lib64/gio/modules/libdconfsettings.so
#4  0x0000003be3e6a495 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003be2a07d14 in start_thread () from /lib64/libpthread.so.0
#6  0x0000003be26f167d in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7fb66f7fe700 (LWP 23716)):
#0  0x0000003be26e8bcf in poll () from /lib64/libc.so.6
#1  0x0000003be3e47af4 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003be3e47f52 in g_main_loop_run () from /lib64/libglib-2.0.so.0
#3  0x0000003be56c94d6 in ?? () from /lib64/libgio-2.0.so.0
#4  0x0000003be3e6a495 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003be2a07d14 in start_thread () from /lib64/libpthread.so.0
#6  0x0000003be26f167d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7fb664a7f700 (LWP 23717)):
#0  0x0000003be26e8bcf in poll () from /lib64/libc.so.6
#1  0x0000003bee224bf4 in ?? () from /lib64/libnspr4.so
#2  0x0000003bee226021 in ?? () from /lib64/libnspr4.so
#3  0x0000003bf5eb2726 in ?? () from /lib64/libcamel-1.2.so.33
#4  0x0000003bf5eb2f6b in ?? () from /lib64/libcamel-1.2.so.33
#5  0x0000003bf5eb38f5 in ?? () from /lib64/libcamel-1.2.so.33
#6  0x0000003bf5eb4851 in camel_tcp_stream_connect () from /lib64/libcamel-1.2.s
o.33
#7  0x0000003bf5e84f49 in ?? () from /lib64/libcamel-1.2.so.33
#8  0x00007fb65bbe6ed5 in ?? () from /usr/lib64/evolution-data-server/camel-prov
iders/libcamelimap.so
#9  0x00007fb65bbe7c98 in ?? () from /usr/lib64/evolution-data-server/camel-prov
iders/libcamelimap.so
#10 0x0000003bf5e994f2 in camel_service_connect_sync () from /lib64/libcamel-1.2
.so.33
#11 0x00007fb65bbe4e1d in camel_imap_store_connected () from /usr/lib64/evolutio
n-data-server/camel-providers/libcamelimap.so
#12 0x00007fb65bbe6016 in ?? () from /usr/lib64/evolution-data-server/camel-prov
iders/libcamelimap.so
#13 0x0000003bf5ea90b2 in camel_store_get_folder_info_sync () from /lib64/libcam
el-1.2.so.33
#14 0x0000003bf5ea9499 in ?? () from /lib64/libcamel-1.2.so.33
#15 0x0000003be566ce9e in ?? () from /lib64/libgio-2.0.so.0
#16 0x0000003be565c22e in ?? () from /lib64/libgio-2.0.so.0
#17 0x0000003be3e6ac92 in ?? () from /lib64/libglib-2.0.so.0
#18 0x0000003be3e6a495 in ?? () from /lib64/libglib-2.0.so.0
#19 0x0000003be2a07d14 in start_thread () from /lib64/libpthread.so.0
#20 0x0000003be26f167d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7fb659b83700 (LWP 23722)):
#0  0x0000003be2a0ddcd in __lll_lock_wait () from /lib64/libpthread.so.0
#1  0x0000003be2a09c71 in _L_lock_889 () from /lib64/libpthread.so.0
#2  0x0000003be2a09b8a in pthread_mutex_lock () from /lib64/libpthread.so.0
#3  0x0000003be3e1c7a1 in g_static_rec_mutex_lock () from /lib64/libglib-2.0.so.
0
#4  0x00007fb65bbe600a in ?? () from /usr/lib64/evolution-data-server/camel-prov
iders/libcamelimap.so
#5  0x0000003bf5ea90b2 in camel_store_get_folder_info_sync () from /lib64/libcam
el-1.2.so.33
#6  0x0000003bf5ea9499 in ?? () from /lib64/libcamel-1.2.so.33
#7  0x0000003be566ce9e in ?? () from /lib64/libgio-2.0.so.0
#8  0x0000003be565c22e in ?? () from /lib64/libgio-2.0.so.0
#9  0x0000003be3e6ac92 in ?? () from /lib64/libglib-2.0.so.0
#10 0x0000003be3e6a495 in ?? () from /lib64/libglib-2.0.so.0
#11 0x0000003be2a07d14 in start_thread () from /lib64/libpthread.so.0
#12 0x0000003be26f167d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fb643fff700 (LWP 23726)):
#0  0x0000003be2a0ddcd in __lll_lock_wait () from /lib64/libpthread.so.0
#1  0x0000003be2a09c71 in _L_lock_889 () from /lib64/libpthread.so.0
#2  0x0000003be2a09b8a in pthread_mutex_lock () from /lib64/libpthread.so.0
#3  0x0000003be3e1c7a1 in g_static_rec_mutex_lock () from /lib64/libglib-2.0.so.
0
#4  0x00007fb65bbe600a in ?? () from /usr/lib64/evolution-data-server/camel-prov
iders/libcamelimap.so
#5  0x0000003bf5ea90b2 in camel_store_get_folder_info_sync () from /lib64/libcam
el-1.2.so.33
#6  0x0000003bf5ea9499 in ?? () from /lib64/libcamel-1.2.so.33
#7  0x0000003be566ce9e in ?? () from /lib64/libgio-2.0.so.0
#8  0x0000003be565c22e in ?? () from /lib64/libgio-2.0.so.0
#9  0x0000003be3e6ac92 in ?? () from /lib64/libglib-2.0.so.0
#10 0x0000003be3e6a495 in ?? () from /lib64/libglib-2.0.so.0
#11 0x0000003be2a07d14 in start_thread () from /lib64/libpthread.so.0
#12 0x0000003be26f167d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fb6437fe700 (LWP 23728)):
#0  0x0000003be26e8bcf in poll () from /lib64/libc.so.6
#1  0x0000003bee224bf4 in ?? () from /lib64/libnspr4.so
#2  0x0000003bee22588d in ?? () from /lib64/libnspr4.so
#3  0x0000003bf0a1ae5e in ?? () from /lib64/libssl3.so
#4  0x0000003bf0a166ad in ?? () from /lib64/libssl3.so
#5  0x0000003bf0a169ba in ?? () from /lib64/libssl3.so
#6  0x0000003bf0a1fe6d in ?? () from /lib64/libssl3.so
#7  0x0000003bf0a23dd6 in ?? () from /lib64/libssl3.so
#8  0x0000003bf5eb23c0 in ?? () from /lib64/libcamel-1.2.so.33
#9  0x0000003bf5eaf86a in camel_stream_read () from /lib64/libcamel-1.2.so.33
#10 0x00007fb66406b80e in ?? () from /usr/lib64/evolution-data-server/camel-prov
iders/libcamelimapx.so
#11 0x00007fb66406bea2 in camel_imapx_stream_token () from /usr/lib64/evolution-
data-server/camel-providers/libcamelimapx.so
#12 0x00007fb6640605e4 in ?? () from /usr/lib64/evolution-data-server/camel-prov
iders/libcamelimapx.so
#13 0x00007fb6640609cb in ?? () from /usr/lib64/evolution-data-server/camel-prov
iders/libcamelimapx.so
#14 0x00007fb664060b06 in ?? () from /usr/lib64/evolution-data-server/camel-prov
iders/libcamelimapx.so
#15 0x0000003be3e6a495 in ?? () from /lib64/libglib-2.0.so.0
#16 0x0000003be2a07d14 in start_thread () from /lib64/libpthread.so.0
#17 0x0000003be26f167d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fb65a78e700 (LWP 23736)):
#0  0x0000003be2a0b595 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthre
ad.so.0
#1  0x0000003be3e83bff in g_cond_wait () from /lib64/libglib-2.0.so.0
#2  0x00007fb66405934d in camel_imapx_job_wait () from /usr/lib64/evolution-data
-server/camel-providers/libcamelimapx.so
#3  0x00007fb66405957f in camel_imapx_job_run () from /usr/lib64/evolution-data-
server/camel-providers/libcamelimapx.so
#4  0x00007fb66405dc9b in ?? () from /usr/lib64/evolution-data-server/camel-prov
iders/libcamelimapx.so
#5  0x0000003be3e6a495 in ?? () from /lib64/libglib-2.0.so.0
#6  0x0000003be2a07d14 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003be26f167d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fb67c15a9c0 (LWP 23713)):
#0  0x0000003be26e8bcf in poll () from /lib64/libc.so.6
#1  0x0000003be3e47af4 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003be3e47f52 in g_main_loop_run () from /lib64/libglib-2.0.so.0
#3  0x0000003becf79f75 in gtk_main () from /lib64/libgtk-3.so.0
#4  0x0000000000403010 in main ()
[piet@PietsPC ~]$  gdb --batch --ex "t a a bt" -pid=23713 &>bt.txt
[piet@PietsPC ~]$ more bt.txt
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
[New Thread 0x7fb643fff700 (LWP 23726)]
[New Thread 0x7fb659b83700 (LWP 23722)]
[New Thread 0x7fb664a7f700 (LWP 23717)]
[New Thread 0x7fb66f7fe700 (LWP 23716)]
[New Thread 0x7fb66ffff700 (LWP 23715)]
[New Thread 0x7fb674d6d700 (LWP 23714)]
0x0000003be26e8bcf in poll () from /lib64/libc.so.6

Thread 7 (Thread 0x7fb674d6d700 (LWP 23714)):
#0  0x0000003be26e8bcf in poll () from /lib64/libc.so.6
#1  0x0000003be3e47af4 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003be3e47c14 in g_main_context_iteration () from /lib64/libglib-2.0.so
.0
#3  0x0000003be3e47c61 in ?? () from /lib64/libglib-2.0.so.0
#4  0x0000003be3e6a495 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003be2a07d14 in start_thread () from /lib64/libpthread.so.0
#6  0x0000003be26f167d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7fb66ffff700 (LWP 23715)):
#0  0x0000003be26e8bcf in poll () from /lib64/libc.so.6
#1  0x0000003be3e47af4 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003be3e47f52 in g_main_loop_run () from /lib64/libglib-2.0.so.0
#3  0x00007fb67433fb0b in ?? () from /usr/lib64/gio/modules/libdconfsettings.so
#4  0x0000003be3e6a495 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003be2a07d14 in start_thread () from /lib64/libpthread.so.0
#6  0x0000003be26f167d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7fb66f7fe700 (LWP 23716)):
#0  0x0000003be26e8bcf in poll () from /lib64/libc.so.6
#1  0x0000003be3e47af4 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003be3e47f52 in g_main_loop_run () from /lib64/libglib-2.0.so.0
#3  0x0000003be56c94d6 in ?? () from /lib64/libgio-2.0.so.0
#4  0x0000003be3e6a495 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003be2a07d14 in start_thread () from /lib64/libpthread.so.0
#6  0x0000003be26f167d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fb664a7f700 (LWP 23717)):
#0  0x0000003be2a0b902 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/lib
pthread.so.0
#1  0x0000003be3e83cf5 in g_cond_wait_until () from /lib64/libglib-2.0.so.0
#2  0x0000003be3e1e6d1 in ?? () from /lib64/libglib-2.0.so.0
#3  0x0000003be3e1ed1a in g_async_queue_timeout_pop () from /lib64/libglib-2.0.s
o.0
#4  0x0000003be3e6ac52 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003be3e6a495 in ?? () from /lib64/libglib-2.0.so.0
#6  0x0000003be2a07d14 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003be26f167d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fb659b83700 (LWP 23722)):
#0  0x0000003be2a0ddcd in __lll_lock_wait () from /lib64/libpthread.so.0
#1  0x0000003be2a09c71 in _L_lock_889 () from /lib64/libpthread.so.0
#2  0x0000003be2a09b8a in pthread_mutex_lock () from /lib64/libpthread.so.0
#3  0x0000003be3e1c7a1 in g_static_rec_mutex_lock () from /lib64/libglib-2.0.so.
0
#4  0x00007fb65bbe600a in ?? () from /usr/lib64/evolution-data-server/camel-prov
iders/libcamelimap.so
#5  0x0000003bf5ea90b2 in camel_store_get_folder_info_sync () from /lib64/libcam
el-1.2.so.33
#6  0x0000003bf5ea9499 in ?? () from /lib64/libcamel-1.2.so.33
#7  0x0000003be566ce9e in ?? () from /lib64/libgio-2.0.so.0
#8  0x0000003be565c22e in ?? () from /lib64/libgio-2.0.so.0
#9  0x0000003be3e6ac92 in ?? () from /lib64/libglib-2.0.so.0
#10 0x0000003be3e6a495 in ?? () from /lib64/libglib-2.0.so.0
#11 0x0000003be2a07d14 in start_thread () from /lib64/libpthread.so.0
#12 0x0000003be26f167d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fb643fff700 (LWP 23726)):
#0  0x0000003be26e8bcf in poll () from /lib64/libc.so.6
#1  0x0000003bee224bf4 in ?? () from /lib64/libnspr4.so
#2  0x0000003bee226021 in ?? () from /lib64/libnspr4.so
#3  0x0000003bf5eb2726 in ?? () from /lib64/libcamel-1.2.so.33
#4  0x0000003bf5eb2f6b in ?? () from /lib64/libcamel-1.2.so.33
#5  0x0000003bf5eb38f5 in ?? () from /lib64/libcamel-1.2.so.33
#6  0x0000003bf5eb4851 in camel_tcp_stream_connect () from /lib64/libcamel-1.2.s
o.33
#7  0x0000003bf5e84f49 in ?? () from /lib64/libcamel-1.2.so.33
#8  0x00007fb65bbe6ed5 in ?? () from /usr/lib64/evolution-data-server/camel-prov
iders/libcamelimap.so
#9  0x00007fb65bbe7c98 in ?? () from /usr/lib64/evolution-data-server/camel-prov
iders/libcamelimap.so
#10 0x0000003bf5e994f2 in camel_service_connect_sync () from /lib64/libcamel-1.2
.so.33
#11 0x00007fb65bbe4e1d in camel_imap_store_connected () from /usr/lib64/evolutio
n-data-server/camel-providers/libcamelimap.so
#12 0x00007fb65bbe6016 in ?? () from /usr/lib64/evolution-data-server/camel-prov
iders/libcamelimap.so
#13 0x0000003bf5ea90b2 in camel_store_get_folder_info_sync () from /lib64/libcam
el-1.2.so.33
#14 0x0000003bf5ea9499 in ?? () from /lib64/libcamel-1.2.so.33
#15 0x0000003be566ce9e in ?? () from /lib64/libgio-2.0.so.0
#16 0x0000003be565c22e in ?? () from /lib64/libgio-2.0.so.0
#17 0x0000003be3e6ac92 in ?? () from /lib64/libglib-2.0.so.0
#18 0x0000003be3e6a495 in ?? () from /lib64/libglib-2.0.so.0
#19 0x0000003be2a07d14 in start_thread () from /lib64/libpthread.so.0
#20 0x0000003be26f167d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fb67c15a9c0 (LWP 23713)):
#0  0x0000003be26e8bcf in poll () from /lib64/libc.so.6
#1  0x0000003be3e47af4 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003be3e47f52 in g_main_loop_run () from /lib64/libglib-2.0.so.0
#3  0x0000003becf79f75 in gtk_main () from /lib64/libgtk-3.so.0
#4  0x0000000000403010 in main ()
Comment 3 Milan Crha 2012-10-23 04:29:23 EDT
Thanks for the update. I think I know what is going on, the "I/O operation timed out" error message is the clue. It happens that servers require SSL connection and they just timeout if it's done on a different port (they do not listen/respond there), which I guess is what happened here.

Please go to Edit->Preferences->Mail Accounts->select your IMAP account and make sure the Receiving Email tab has set proper authentication type and port. If you change the authentication type, then you can see the Port entry will also change, or vice versa, when changing the Port to some standard value.
Comment 4 Willempie 2012-10-23 12:10:25 EDT
I've tried all posibilities but the right settings are 

imap.xs4all.nl (SSL poort 993 / TLS poort 143)
smtp.xs4all.nl (SSL poort 465 / TLS poort 587)

It simply never asks for a password and I can not find an input field for the password anywhere.

I use SSL in all the other mail programs, it always works.
This is the first time I try using evolution since Thunderbirds has announced not to support their client anymore.
Comment 5 Milan Crha 2012-10-23 16:09:51 EDT
Ouch, I forgot to mention, such change requires restart of evolution. this might not be needed in 3.6.0+. I just got an idea how to test this without too many close&open of evolution, change the settings to the values like you use in Thunderbird, and click the "Check for Supported Types" button below Authentication. That should tell you whether it succeeded or not. If it did, then no error should be shown and probably some of the authentication types will be strike out, as those are not supported by the server. This check reads actual values of server, port and connection type from the dialog, thus it can be used for a quick testing.
Comment 6 Willempie 2012-10-24 03:17:22 EDT
Thanks for your reply. 

It works. I'm not sure why, but I installed thunderbird and now I can use Imap over ssl in Evolution. Beats me!
Comment 7 Milan Crha 2012-10-24 07:09:15 EDT
I guess it was the close & run of evolution, which "fixed" this. I guess you can safely uninstall Thunderbird, unless you want it for other reasons :) I'm also closing this bug report, the 3.6.x, being in Fedora 18, may  not require restart of evolution anymore.

Note You need to log in before you can comment on or make changes to this bug.